com.sun.mirror.declaration

## Interface AnnotationTypeDeclaration

All Superinterfaces:
  Declaration, InterfaceDeclaration, MemberDeclaration, TypeDeclaration

    public interface AnnotationTypeDeclaration
    extends InterfaceDeclaration

Represents the declaration of an annotation type.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<AnnotationTypeElementDeclaration>` `getMethods()` Returns the annotation type elements of this annotation type.

### Methods inherited from interface com.sun.mirror.declaration.TypeDeclaration

`getFields, getFormalTypeParameters, getNestedTypes, getPackage, getQualifiedName, getSuperinterfaces`

### Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration

`getDeclaringType`

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Method Detail

#### getMethods

    Collection<AnnotationTypeElementDeclaration> getMethods()

Returns the annotation type elements of this annotation type. These are the methods that are directly declared in the type's declaration.

Specified by:
  `getMethods` in interface `TypeDeclaration`
Returns:
  the annotation type elements of this annotation type, or an empty collection if there are none
See Also:
  `DeclarationFilter`